<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     http://https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

include_once 'default.php';

/**
 * AutoTweetControllerInfo - The Control Panel controller class
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutoTweetControllerInfo extends AutotweetControllerDefault
{
	/**
	 * onBeforeBrowse
	 *
	 * @return  void
	 */
	public function onBeforeBrowse()
	{
		$result = parent::onBeforeBrowse();

		if ($result)
		{
			// Run the automatic update site refresh
			$updateModel = F0FModel::getTmpInstance('LiveUpdates', 'AutoTweetModel');
			$updateModel->refreshUpdateSite();
		}

		return $result;
	}
}
