<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

/**
 * AclPermsHelper class.
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       7.0
 */
class AclPermsHelper
{
	/**
	 * whereOwnership
	 *
	 * @param   object  &$query  Param
	 * @param   string  $asset   Param
	 *
	 * @return  void
	 */
	public static function whereOwnership(&$query, $asset = 'com_autotweet')
	{
		$platform = F0FPlatform::getInstance();

		// Not able to edit anything
		if (!$platform->authorise('core.edit', $asset))
		{
			// Ok, just owned assets
				// Ups nothing can be edited or browsed
			if ( ($platform->authorise('core.edit.own', $asset))
				|| ( (!defined('AUTOTWEET_CRONJOB_RUNNING'))
				&& (!defined('AUTOTWEET_AUTOMATOR_RUNNING'))
				&& (!defined('JOOCIAL_APP_RUNNING')) ) )
			{
				$db = JFactory::getDbo();
				$owner_id = $platform->getUser()->id;

				$query->where($db->qn('created_by') . ' = ' . $owner_id);
			}
		}
	}
}
