<?php

/**
 * @package     Extly.Components
 * @subpackage  PlgContentAutotweetOpenGraph - Plugin AutoTweet NG OpenGraph Tags-Extension for Joomla!
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

require_once 'ogitem.php';
require_once 'ogsmartloader.php';

/**
 * OGArticleFactory class.
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class OGArticleFactory
{
	private static $classNames = array(
		'com_content.article' => 'OGJArticleHelper'
	);

	/**
	 * getHelper
	 *
	 * @param   string  $option    Param
	 * @param   string  $context   Param
	 * @param   object  &$article  Param
	 *
	 * @return	string
	 */
	public static function getHelper($option, $context, &$article)
	{
		if (array_key_exists($context, self::$classNames))
		{
			require_once 'jarticle.php';

			$className = self::$classNames[$context];
			$helper = new $className($article);

			return $helper;
		}

		return null;
	}
}
