<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

// Factory to create url short services.

// Include new services here only!!!

/**
 * AutotweetURLShortserviceFactory
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetURLShortserviceFactory
{
	/**
	 * AutotweetURLShortserviceFactory
	 */
	private function __construct()
	{
		// Static class
	}

	/**
	 * getInstance
	 *
	 * @param   array  $data  Param
	 *
	 * @return	object
	 */
	public static function getInstance($data)
	{
		require_once dirname(__FILE__) . '/autotweetshortservice.php';

		JLoader::register('AutotweetBitlyService', dirname(__FILE__) . '/autotweetbitly.php');
		JLoader::register('AutotweetFdlService', dirname(__FILE__) . '/autotweetfdl.php');
		JLoader::register('AutotweetGooglService', dirname(__FILE__) . '/autotweetgoogl.php');
		JLoader::register('AutotweetIsgdService', dirname(__FILE__) . '/autotweetisgd.php');
		JLoader::register('AutotweetTinyurlcomService', dirname(__FILE__) . '/autotweettinyurlcom.php');
		JLoader::register('AutotweetYourlsService', dirname(__FILE__) . '/autotweetyourls.php');

		$classname = 'AutoTweet' . $data['type'] . 'Service';
		JLoader::load($classname);

		return new $classname($data);
	}
}
