<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:54 */

namespace XTP_BUILD\Telegram\Bot\Keyboard;

use XTP_BUILD\Illuminate\Support\Collection;

/**
 * Class Base.
 */
class Base extends Collection
{
    /**
     * Dynamically build params.
     *
     * @param string $method
     * @param array  $args
     *
     * @return $this
     */
    public function __call($method, $args)
    {
        if (! XTP_starts_with($method, 'set')) {
            return parent::__call($method, $args);
        }
        $property = XTP_snake_case(substr($method, 3));
        $this->items[$property] = $args[0];

        return $this;
    }
}
