<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:53 */

namespace XTP_BUILD\Telegram\Bot\Objects\Payments;

use XTP_BUILD\Telegram\Bot\Objects\BaseObject;

/**
 * @property string         $id        Shipping option identifier.
 * @property string         $title     Option title.
 * @property LabeledPrice[] $prices    List of price portions.
 *
 * @link https://core.telegram.org/bots/api#shippingoption
 */
class ShippingOption extends BaseObject
{
    /**
     * {@inheritdoc}
     */
    public function relations()
    {
        return [
            'prices' => LabeledPrice::class,
        ];
    }
}
