<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:10 */
namespace XTP_BUILD\VK\Actions;

use XTP_BUILD\VK\Actions\Enums\AppWidgetsType;
use XTP_BUILD\VK\Client\VKApiRequest;
use XTP_BUILD\VK\Exceptions\Api\VKApiBlockedException;
use XTP_BUILD\VK\Exceptions\Api\VKApiCompileException;
use XTP_BUILD\VK\Exceptions\Api\VKApiParamGroupIdException;
use XTP_BUILD\VK\Exceptions\Api\VKApiRuntimeException;
use XTP_BUILD\VK\Exceptions\Api\VKApiWallAccessPostException;
use XTP_BUILD\VK\Exceptions\Api\VKApiWallAccessRepliesException;
use XTP_BUILD\VK\Exceptions\VKApiException;
use XTP_BUILD\VK\Exceptions\VKClientException;

/**
 */
class AppWidgets {

	/**
	 * @var VKApiRequest
	 */
	private $request;

	/**
	 * AppWidgets constructor.
	 *
	 * @param VKApiRequest $request
	 */
	public function __construct(VKApiRequest $request) {
		$this->request = $request;
	}

	/**
	 * Allows to update community app widget
	 *
	 * @param string $access_token
	 * @param array $params 
	 * - @var string code
	 * - @var AppWidgetsType type
	 * @throws VKClientException
	 * @throws VKApiException
	 * @throws VKApiCompileException Unable to compile code
	 * @throws VKApiRuntimeException Runtime error occurred during code invocation
	 * @throws VKApiBlockedException Content blocked
	 * @throws VKApiWallAccessPostException Access to wall's post denied
	 * @throws VKApiWallAccessRepliesException Access to post comments denied
	 * @throws VKApiParamGroupIdException Invalid group id
	 * @return mixed
	 */
	public function update($access_token, array $params = []) {
		return $this->request->post('appWidgets.update', $access_token, $params);
	}
}
