<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     http://https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

/**
 * AutotweetModelChanneltypes
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetModelChanneltypes extends F0FModel
{
	const TYPE_FB_CHANNEL = 2;

	// Const TYPE_FBEVENT_CHANNEL = 4;
	// Const TYPE_FBLINK_CHANNEL = 7;

	const TYPE_FBPHOTO_CHANNEL = 8;

	// Const TYPE_FBVIDEO_CHANNEL = 9;
	// Const TYPE_LINK_CHANNEL = 5;

	const TYPE_LIGROUP_CHANNEL = 6;

	// Const TYPE_LICOMPANY_CHANNEL = 10;

	const TYPE_LIOAUTH2_CHANNEL = 20;
	const TYPE_LIOAUTH2COMPANY_CHANNEL = 21;

	const TYPE_MAIL_CHANNEL = 3;
	const TYPE_TW_CHANNEL = 1;

	// Const TYPE_GPLUS_CHANNEL = 13;

	// Joocial Channels
	const TYPE_VK_CHANNEL = 11;
	const TYPE_VKGROUP_CHANNEL = 12;
	const TYPE_SCOOPIT_CHANNEL = 14;
	const TYPE_XING_CHANNEL = 15;
	const TYPE_TUMBLR_CHANNEL = 16;
	Const TYPE_BLOGGER_CHANNEL = 17;
	const TYPE_JOMSOCIAL_CHANNEL = 18;
	const TYPE_EASYSOCIAL_CHANNEL = 19;
	const TYPE_FBINSTANT_CHANNEL = 22;
	const TYPE_TELEGRAM_CHANNEL = 23;
	const TYPE_MEDIUM_CHANNEL = 24;
	const TYPE_PUSHWOOSH_WEB_CHANNEL = 25;
	const TYPE_ONESIGNAL_WEB_CHANNEL = 26;
	const TYPE_PUSHWOOSH_PUSH_CHANNEL = 27;
	const TYPE_ONESIGNAL_PUSH_CHANNEL = 28;
	const TYPE_PUSHALERT_PUSH_CHANNEL = 29;
	const TYPE_PAGESPEED_CHANNEL = 30;
	const TYPE_PINTEREST_CHANNEL = 31;

	/**
	 * getParamsForm
	 *
	 * @param   int  $channeltype_id  Param
	 *
	 * @return	string
	 */
	public static function getParamsForm($channeltype_id)
	{
		if ($channeltype_id == self::TYPE_BLOGGER_CHANNEL)
		{
			return 'bloggerchannel';
		}

		if ( ($channeltype_id == self::TYPE_FB_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBPHOTO_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBINSTANT_CHANNEL) )
		{
			return 'fbchannel';
		}

		if ($channeltype_id == self::TYPE_EASYSOCIAL_CHANNEL)
		{
			return 'easysocialchannel';
		}

		if ($channeltype_id == self::TYPE_JOMSOCIAL_CHANNEL)
		{
			return 'jomsocialchannel';
		}

		if ($channeltype_id == self::TYPE_LIGROUP_CHANNEL)
		{
			return 'ligroupchannel';
		}

		if ($channeltype_id == self::TYPE_LIOAUTH2_CHANNEL)
		{
			return 'lioauth2channel';
		}

		if ($channeltype_id == self::TYPE_LIOAUTH2COMPANY_CHANNEL)
		{
			return 'lioauth2companychannel';
		}

		if ($channeltype_id == self::TYPE_MAIL_CHANNEL)
		{
			return 'mailchannel';
		}

		if ($channeltype_id == self::TYPE_SCOOPIT_CHANNEL)
		{
			return 'scoopitchannel';
		}

		if ($channeltype_id == self::TYPE_TUMBLR_CHANNEL)
		{
			return 'tumblrchannel';
		}

		if ($channeltype_id == self::TYPE_TW_CHANNEL)
		{
			return 'twchannel';
		}

		if ( ($channeltype_id == self::TYPE_VK_CHANNEL)
			|| ($channeltype_id == self::TYPE_VKGROUP_CHANNEL) )
		{
			return 'vkchannel';
		}

		if ($channeltype_id == self::TYPE_XING_CHANNEL)
		{
			return 'xingchannel';
		}

		if ($channeltype_id == self::TYPE_TELEGRAM_CHANNEL)
		{
			return 'telegramchannel';
		}

		if ($channeltype_id == self::TYPE_MEDIUM_CHANNEL)
		{
			return 'mediumchannel';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_WEB_CHANNEL)
		{
			return 'pushwooshchannel';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_WEB_CHANNEL)
		{
			return 'onesignalchannel';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_PUSH_CHANNEL)
		{
			return 'pushwooshchannel';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_PUSH_CHANNEL)
		{
			return 'onesignalchannel';
		}

		if ($channeltype_id == self::TYPE_PUSHALERT_PUSH_CHANNEL)
		{
			return 'pushalertchannel';
		}

		if ($channeltype_id == self::TYPE_PINTEREST_CHANNEL)
		{
			return 'pinterestchannel';
		}

		if ($channeltype_id == self::TYPE_PAGESPEED_CHANNEL)
		{
			return 'pagespeedchannel';
		}

		return null;
	}

	/**
	 * getIcon
	 *
	 * @param   int  $channeltype_id  Param
	 *
	 * @return	string
	 */
	public static function getIcon($channeltype_id)
	{
		if ($channeltype_id == self::TYPE_BLOGGER_CHANNEL)
		{
			return '<i class=\'xticon xticon-google\'></i>';
		}

		if ( ($channeltype_id == self::TYPE_FB_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBPHOTO_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBINSTANT_CHANNEL) )
		{
			return '<i class=\'xticon xticon-facebook\'></i>';
		}

		if ($channeltype_id == self::TYPE_EASYSOCIAL_CHANNEL)
		{
			return '<i class=\'xticon xticon-group\'></i>';
		}

		if ($channeltype_id == self::TYPE_JOMSOCIAL_CHANNEL)
		{
			return '<i class=\'xticon xticon-group\'></i>';
		}

		if (($channeltype_id == self::TYPE_LIGROUP_CHANNEL)
			|| ($channeltype_id == self::TYPE_LIOAUTH2_CHANNEL)
			|| ($channeltype_id == self::TYPE_LIOAUTH2COMPANY_CHANNEL))
		{
			return '<i class=\'xticon xticon-linkedin\'></i>';
		}

		if ($channeltype_id == self::TYPE_MAIL_CHANNEL)
		{
			return '<i class=\'xticon xticon-envelope\'></i>';
		}

		if ($channeltype_id == self::TYPE_SCOOPIT_CHANNEL)
		{
			return '<i class=\'xticon xticon-exclamation\'></i>';
		}

		if ($channeltype_id == self::TYPE_TUMBLR_CHANNEL)
		{
			return '<i class=\'xticon xticon-tumblr\'></i>';
		}

		if ($channeltype_id == self::TYPE_TW_CHANNEL)
		{
			return '<i class=\'xticon xticon-twitter\'></i>';
		}

		if ($channeltype_id == self::TYPE_VK_CHANNEL)
		{
			return '<i class=\'xticon xticon-vk\'></i>';
		}

		if ($channeltype_id == self::TYPE_VKGROUP_CHANNEL)
		{
			return '<i class=\'xticon xticon-vk\'></i>';
		}

		if ($channeltype_id == self::TYPE_XING_CHANNEL)
		{
			return '<i class=\'xticon xticon-xing\'></i>';
		}

		if ($channeltype_id == self::TYPE_TELEGRAM_CHANNEL)
		{
			return '<i class=\'xticon xticon-paper-plane\'></i>';
		}

		if ($channeltype_id == self::TYPE_MEDIUM_CHANNEL)
		{
			return '<i class=\'xticon xticon-medium\'></i>';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_WEB_CHANNEL)
		{
			return '<i class=\'xticon xticon-bell-o\'></i>';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_WEB_CHANNEL)
		{
			return '<i class=\'xticon xticon-bell-o\'></i>';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_PUSH_CHANNEL)
		{
			return '<i class=\'xticon xticon-bell\'></i>';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_PUSH_CHANNEL)
		{
			return '<i class=\'xticon xticon-bell\'></i>';
		}

		if ($channeltype_id == self::TYPE_PUSHALERT_PUSH_CHANNEL)
		{
			return '<i class=\'xticon xticon-bell\'></i>';
		}

		if ($channeltype_id == self::TYPE_PINTEREST_CHANNEL)
		{
			return '<i class=\'xticon xticon-pinterest\'></i>';
		}

		if ($channeltype_id == self::TYPE_PAGESPEED_CHANNEL)
		{
			return '<i class=\'xticon xticon-google\'></i>';
		}

		return null;
	}

	/**
	 * getRawIcon
	 *
	 * @param   int  $channeltype_id  Param
	 *
	 * @return	string
	 */
	public static function getRawIcon($channeltype_id)
	{
		if ($channeltype_id == self::TYPE_BLOGGER_CHANNEL)
		{
			return 'google';
		}

		if ( ($channeltype_id == self::TYPE_FB_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBPHOTO_CHANNEL)
			|| ($channeltype_id == self::TYPE_FBINSTANT_CHANNEL) )
		{
			return 'facebook';
		}

		if ($channeltype_id == self::TYPE_EASYSOCIAL_CHANNEL)
		{
			return 'group';
		}

		if ($channeltype_id == self::TYPE_JOMSOCIAL_CHANNEL)
		{
			return 'group';
		}

		if (($channeltype_id == self::TYPE_LIGROUP_CHANNEL)
			|| ($channeltype_id == self::TYPE_LIOAUTH2_CHANNEL)
			|| ($channeltype_id == self::TYPE_LIOAUTH2COMPANY_CHANNEL))
		{
			return 'linkedin';
		}

		if ($channeltype_id == self::TYPE_MAIL_CHANNEL)
		{
			return 'envelope';
		}

		if ($channeltype_id == self::TYPE_SCOOPIT_CHANNEL)
		{
			return 'exclamation';
		}

		if ($channeltype_id == self::TYPE_TUMBLR_CHANNEL)
		{
			return 'tumblr';
		}

		if ($channeltype_id == self::TYPE_TW_CHANNEL)
		{
			return 'twitter';
		}

		if ($channeltype_id == self::TYPE_VK_CHANNEL)
		{
			return 'vk';
		}

		if ($channeltype_id == self::TYPE_VKGROUP_CHANNEL)
		{
			return 'vk';
		}

		if ($channeltype_id == self::TYPE_XING_CHANNEL)
		{
			return 'xing';
		}

		if ($channeltype_id == self::TYPE_TELEGRAM_CHANNEL)
		{
			return 'paper-plane';
		}

		if ($channeltype_id == self::TYPE_MEDIUM_CHANNEL)
		{
			return 'medium';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_WEB_CHANNEL)
		{
			return 'bell-o';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_WEB_CHANNEL)
		{
			return 'bell-o';
		}

		if ($channeltype_id == self::TYPE_PUSHWOOSH_PUSH_CHANNEL)
		{
			return 'bell';
		}

		if ($channeltype_id == self::TYPE_ONESIGNAL_PUSH_CHANNEL)
		{
			return 'bell';
		}

		if ($channeltype_id == self::TYPE_PUSHALERT_PUSH_CHANNEL)
		{
			return 'bell';
		}

		if ($channeltype_id == self::TYPE_PAGESPEED_CHANNEL)
		{
			return 'google';
		}

		if ($channeltype_id == self::TYPE_PINTEREST_CHANNEL)
		{
			return 'pinterest';
		}

		return null;
	}

	/**
	 * getChannelClass
	 *
	 * @param   int  $channeltype_id  Param
	 *
	 * @return	string
	 */
	public static function getChannelClass($channeltype_id)
	{
		switch ($channeltype_id)
		{
			case self::TYPE_FB_CHANNEL:
				return 'FacebookChannelHelper';

			case self::TYPE_FBPHOTO_CHANNEL:
				return 'FacebookPhotoChannelHelper';

			case self::TYPE_FBINSTANT_CHANNEL:
				return 'FacebookInstantChannelHelper';

			case self::TYPE_LIGROUP_CHANNEL:
				return 'LinkedinGroupChannelHelper';

			case self::TYPE_LIOAUTH2_CHANNEL:
				return 'LiOAuth2ChannelHelper';

			case self::TYPE_LIOAUTH2COMPANY_CHANNEL:
				return 'LiOAuth2CompanyChannelHelper';

			case self::TYPE_MAIL_CHANNEL:
				return 'MailChannelHelper';

			case self::TYPE_TW_CHANNEL:
				return 'TwitterChannelHelper';

			case self::TYPE_VK_CHANNEL:
				return 'VkChannelHelper';

			case self::TYPE_VKGROUP_CHANNEL:
				return 'VkGroupChannelHelper';

			case self::TYPE_SCOOPIT_CHANNEL:
				return 'ScoopitChannelHelper';

			case self::TYPE_TUMBLR_CHANNEL:
				return 'TumblrChannelHelper';

			case self::TYPE_EASYSOCIAL_CHANNEL:
				return 'EasySocialChannelHelper';

			case self::TYPE_JOMSOCIAL_CHANNEL:
				return 'JomSocialChannelHelper';

			case self::TYPE_XING_CHANNEL:
				return 'XingChannelHelper';

			case self::TYPE_BLOGGER_CHANNEL:
				return 'BloggerChannelHelper';

			case self::TYPE_TELEGRAM_CHANNEL:
				return 'TelegramChannelHelper';

			case self::TYPE_MEDIUM_CHANNEL:
				return 'MediumChannelHelper';

			case self::TYPE_PUSHWOOSH_WEB_CHANNEL:
			case self::TYPE_PUSHWOOSH_PUSH_CHANNEL:
				return 'PushwooshChannelHelper';

			case self::TYPE_ONESIGNAL_WEB_CHANNEL:
			case self::TYPE_ONESIGNAL_PUSH_CHANNEL:
				return 'OneSignalChannelHelper';

			case self::TYPE_PUSHALERT_PUSH_CHANNEL:
				return 'PushAlertChannelHelper';

			case self::TYPE_PINTEREST_CHANNEL:
				return 'PinterestChannelHelper';

			case self::TYPE_PAGESPEED_CHANNEL:
				return 'PageSpeedChannelHelper';
		}

		return null;
	}

	/**
	 * isFrontendEnabled
	 *
	 * @param   int  $channeltype_id  Param
	 *
	 * @return	string
	 */
	public static function isFrontendEnabled($channeltype_id)
	{
		switch ($channeltype_id)
		{
			case self::TYPE_FB_CHANNEL:
				return true;

			case self::TYPE_LIOAUTH2_CHANNEL:
				return true;

			case self::TYPE_MAIL_CHANNEL:
				return true;

			case self::TYPE_TW_CHANNEL:
				return true;
		}

		return false;
	}

	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	F0FQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDBO();
		$query = parent::buildQuery($overrideLimits);
		$query->order('name REGEXP \'^[a-z]\' DESC, name');

		return $query;
	}

	/**
	 * formatUrl
	 *
	 * @param   int     $channeltype_id  Param
	 * @param   string  $socialUrl       Param
	 *
	 * @return	string
	 */
	public static function formatUrl($channeltype_id, $socialUrl)
	{
		$socialIcon = self::getIcon($channeltype_id);

		return '<p><a href="' . $socialUrl . '" target="_blank">' . $socialIcon . ' ' . $socialUrl . '</a></p>';
	}

	/**
	 * getAuthCallback
	 *
	 * @param   int  $channelId  Param
	 *
	 * @return	string
	 */
	public static function getAuthCallback($channelId)
	{
		$channeltype_id = F0FModel::getTmpInstance('Channels', 'AutoTweetModel')
			->getItem($channelId)
			->get('channeltype_id');

		switch ($channeltype_id)
		{
			case self::TYPE_BLOGGER_CHANNEL:
				return 'bloggerchannels';
			case self::TYPE_SCOOPIT_CHANNEL:
				return 'scoopitchannels';
			case self::TYPE_TUMBLR_CHANNEL:
				return 'tumblrchannels';
			case self::TYPE_XING_CHANNEL:
				return 'xingchannels';
			case self::TYPE_LIOAUTH2_CHANNEL:
				return 'lioauth2channels';
			case self::TYPE_LIOAUTH2COMPANY_CHANNEL:
				return 'lioauth2channels';
			case self::TYPE_PINTEREST_CHANNEL:
				return 'pinterestchannels';
			case self::TYPE_PAGESPEED_CHANNEL:
				return 'pagespeedchannels';
		}

		return null;
	}

	/**
	 * isJoocialChannel
	 *
	 * @param   int  $channelTypeId  Param
	 *
	 * @return	string
	 */
	public static function isJoocialChannel($channelTypeId)
	{
		switch ($channelTypeId)
		{
			case self::TYPE_BLOGGER_CHANNEL:
			case self::TYPE_EASYSOCIAL_CHANNEL:
			case self::TYPE_FBINSTANT_CHANNEL:
			case self::TYPE_JOMSOCIAL_CHANNEL:
			case self::TYPE_MEDIUM_CHANNEL:
			case self::TYPE_ONESIGNAL_PUSH_CHANNEL:
			case self::TYPE_ONESIGNAL_WEB_CHANNEL:
			case self::TYPE_PAGESPEED_CHANNEL:
			case self::TYPE_PINTEREST_CHANNEL:
			case self::TYPE_PUSHALERT_PUSH_CHANNEL:
			case self::TYPE_PUSHWOOSH_PUSH_CHANNEL:
			case self::TYPE_PUSHWOOSH_WEB_CHANNEL:
			case self::TYPE_SCOOPIT_CHANNEL:
			case self::TYPE_TELEGRAM_CHANNEL:
			case self::TYPE_TUMBLR_CHANNEL:
			case self::TYPE_VK_CHANNEL:
			case self::TYPE_VKGROUP_CHANNEL:
			case self::TYPE_XING_CHANNEL:
				return true;
		}

		return false;
	}
}
