<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
	<div id="fbapp" class="tab-pane fade">

		<div class="j9-deprecated" style="display:none">
		<?php

		$options = array();

		$options[] = array('name' => 'COM_AUTOTWEET_VIEW_CHANNEL_USEOWNAPP_YES', 'value' => 2);
		$options[] = array('name' => 'COM_AUTOTWEET_VIEW_CHANNEL_USEOWNAPP_YESSSL', 'value' => 1);
		echo EHtmlSelect::btnGroupListControl(
			$useownapi,
			'xtform[use_own_api]',
			'COM_AUTOTWEET_VIEW_CHANNEL_USEOWNAPP_TITLE_LABEL',
			'COM_AUTOTWEET_VIEW_CHANNEL_USEOWNAPP_TITLE_DESC',
			$options,
			'use_own_api'
		);

		?>
		</div>

		<div id="own-app-testing" <?php

			// No
			if ($useownapi != 0)
			{
				echo 'style="display: none;"';
			}

			?>>
			<div class="alert alert-info">
				<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_FBTESTINGAPP_DESC'); ?>
			</div>
		</div>

		<div id="own-app-details"
			<?php

			// No
			if ($useownapi == 0)
			{
				echo 'style="display: none;"';
			}

			?>>
			<p class="lead"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_APPDATA_TITLE'); ?></p>

			<div class="control-group">
				<label class="control-label <?php

				echo $required;

				?>"
					for="app_id" id="app_id-lbl"
					rel="tooltip" data-original-title="<?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIKEY_DESC');

					?>"><?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIKEY_LABEL');

					?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="text" maxlength="255" size="50"
						value="<?php

						$app_id = $this->item->xtform->get('app_id');
						echo $app_id;

						?>"
						id="app_id" name="xtform[app_id]"
						class="<?php

						echo $required . $requiredId;

						?>"
						<?php

						echo $requiredTag;

						?>>
					<?php

					if ((is_numeric($app_id)) && ($app_id > 0))
					{
						echo JText::sprintf('COM_AUTOTWEET_VIEW_CHANNEL_APPDATA_EDIT', $app_id);
					}

					?>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label <?php

				echo $required;

				?>"
					for="secret" id="secret-lbl" rel="tooltip" data-original-title="<?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APISECRET_DESC');

					?>"><?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APISECRET_LABEL');

					?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="password" maxlength="255" size="50"
						value="<?php

						echo $this->item->xtform->get('secret');

						?>"
						id="secret" name="xtform[secret]"
						class="<?php

						echo $required . $requiredToken;

						?>"
						<?php

						echo $requiredTag;

						?>>
				</div>
			</div>
<?php

echo '<input type="hidden" id="fb_api_perms" name="fb_api_perms" value="' . FacebookApp::getAppPermissions() . '">';
echo '<input type="hidden" id="fb_api_perms_groups_detail" name="fb_api_perms_groups_detail" value="' . FacebookApp::getAppPermissionsAndGroups() . '">';

$options = array();
$options[] = array('name' => 'JYES', 'value' => 1);
$options[] = array('name' => 'JNO', 'value' => 0);

echo EHtmlSelect::btnGroupListControl(
	$this->item->xtform->get('fb_api_perms_groups', 0),
	'xtform[fb_api_perms_groups]',
	'COM_AUTOTWEET_VIEW_CHANNEL_FB_API_PERMS_GROUPS_TITLE_LABEL',
	'COM_AUTOTWEET_VIEW_CHANNEL_FB_API_PERMS_GROUPS_TITLE_DESC',
	$options,
	'fb_api_perms_groups'
);

?>
			<div id="own-app-details-canvas-page" class="control-group" <?php

			// Yes (no Canvas Page)
			if (!$authorizeCanvas)
			{
				echo 'style="display: none;"';
			}

			?>>
				<label class="control-label" for="canvas_page" id="canvas_page-lbl"rel="tooltip" data-original-title="<?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIAUTHURL_DESC');

					?>"><?php

					echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIAUTHURL_LABEL');

					?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="text" maxlength="255" size="50"
						value="<?php

						echo $this->item->xtform->get('canvas_page');

						?>"
						id="canvas_page" name="xtform[canvas_page]"
						class="<?php

						echo $requiredCanvasPage;

						?>">
				</div>
			</div>
		</div>

		<hr />

		<div class="alert">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<?php

				echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_APPDATA_DESC');
			?>
			<ul class="unstyled">
				<li><i class="xticon xticon-thumbs-up"></i> <a
				href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-auto-post-from-joomla-to-facebook/"
				target="_blank"> How to AutoTweet from Joomla! to Facebook (Updated to API v3.0)</a></li>

				<li><i class="xticon xticon-tags"></i> Plan and prepare the <a
				href="https://developers.facebook.com/docs/facebook-login/review/what-is-login-review"
				target="_blank">App Review</a> with time. <a
				href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-auto-post-from-joomla-to-facebook/app-review-study-case/"
				target="_blank"> An App Review Study Case</a></li>

				<li><br><i class="xticon xticon-exclamation-triangle"></i> <b>Facebook Graph API 3.0</b> or superior:
				Facebook will have to <a href="https://developers.facebook.com/docs/facebook-login/review"
				target="_blank">review</a> your app before publishing (Pages: "publish_pages, manage_pages". Groups: "Groups API").
				In the meantime, you can start testing with a <i>Test App</i>.</li>
			</ul>
		</div>

	</div>
