<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

// Load framework base classes
jimport('joomla.application.component.view');

/**
 * AutotweetViewInfos
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetViewInfos extends AutotweetDefaultView
{
	/**
	 * onBrowse
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	bool
	 */
	protected function onBrowse($tpl = null)
	{
		Extly::loadAwesome();

		// Load the model
		$info = F0FModel::getTmpInstance('Update', 'AutoTweetModel');

		$this->assign('comp', $info->getComponentInfo());
		$this->assign('plugins', $info->getPluginInfo());
		$this->assign('thirdparty', $info->getThirdpartyInfo());
		$this->assign('sysinfo', $info->getSystemInfo());

		Extly::initApp(CAUTOTWEETNG_VERSION);

		return;
	}
}
