<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
<!-- com_autotweet_OUTPUT_START -->
<p style="text-align:center;">
	<span class="loaderspinner">&nbsp;</span>
</p>



<?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN2015_DESC'); ?>

<div class="control-group">
	<label class="required control-label" for="api_key" id="api_key-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN_API_KEY'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="text" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('api_key'); ?>" id="api_key" name="xtform[api_key]" class="required validate-token" required="required">
	</div>
</div>
<div class="control-group">
	<label class="required control-label" for="secret_key" id="secret_key-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN_SECRET_KEY'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="password" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('secret_key'); ?>" id="secret_key" name="xtform[secret_key]" class="required validate-token" required="required">
	</div>
</div>
<div class="control-group">
	<label class="required control-label" for="oauth_user_token" id="oauth_user_token-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN_OAUTH_USER_TOKEN'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="text" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('oauth_user_token'); ?>" id="oauth_user_token" name="xtform[oauth_user_token]" class="required validate-token" required="required">
	</div>
</div>
<div class="control-group">
	<label class="required control-label" for="oauth_user_secret" id="oauth_user_secret-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN_OAUTH_USER_SECRET'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="password" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('oauth_user_secret'); ?>" id="oauth_user_secret" name="xtform[oauth_user_secret]" class="required validate-token" required="required">
	</div>
</div>

<div class="control-group">
	<label class="required control-label" for="xtformligroup_id" id="ligroup_id-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_LINKEDIN_GROUP_ID'); ?> <span class="star">&nbsp;*</span></label>
	<div class="controls">
		<a class="btn btn-info" id="ligrouploadbutton"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_LOADBUTTON_TITLE'); ?></a>
		<?php echo SelectControlHelper::ligroups(
				$this->item->xtform->get('group_id'),
				'xtform[group_id]',
				array(),
				$this->item->xtform->get('api_key'),
				$this->item->xtform->get('secret_key'),
				$this->item->xtform->get('oauth_user_token'),
				$this->item->xtform->get('oauth_user_secret')
			);
		?>
	</div>
</div>

<div class="control-group">
	<label class="control-label"> <a class="btn btn-info" id="livalidationbutton"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_VALIDATEBUTTON'); ?></a>
	</label>

	<div id="validation-notchecked" class="controls">
		<span class="lead"><i class="xticon xticon-question-circle"></i> </span><span class="loaderspinner">&nbsp;</span>
	</div>

	<div id="validation-success" class="controls" style="display: none">
		<span class="lead"><i class="xticon xticon-check"></i> <?php echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_SUCCESS'); ?></span><span class="loaderspinner">&nbsp;</span>
	</div>

	<div id="validation-error" class="controls" style="display: none">
		<span class="lead"><i class="xticon xticon-exclamation"></i> <?php echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_ERROR'); ?></span><span class="loaderspinner">&nbsp;</span>
	</div>

</div>

<div id="validation-errormsg" class="alert alert-block alert-error" style="display: none">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<div id="validation-theerrormsg">
		<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_MSG'); ?>
	</div>
</div>

<div class="control-group">
	<label class=" required control-label" for="user_id" id="user_id-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_USERID_TITLE'); ?><span class="star">&nbsp;*</span>
	</label>
	<div class="controls">
		<input type="text" maxlength="255" size="64" value="<?php echo $this->item->xtform->get('user_id'); ?>" id="user_id" name="xtform[user_id]" class="required" required="required" readonly="readonly">
<?php

		require dirname(__FILE__) . '/../../channel/tmpl/social_url.php';

		$social_target = 'social_url_ligroup';
		require dirname(__FILE__) . '/../../channel/tmpl/social_url.php';

?>
	</div>
	</div>
</div>

<div class="alert">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<ul class="unstyled">
		<li><i class="xticon xticon-thumbs-up"></i> <a
		href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-autotweet"
		target="_blank"> How to AutoTweet from Joomla in 5 <minutes></minutes></a></li>

		<li><i class="xticon xticon-youtube-play"></i> <a
		href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-autotweet#how-to-autotweet-from-joomla-to-linkedin-in-5-minutes-video"
		target="_blank"> How to autotweet from Joomla! to LinkedIn in 5 minutes - Video</a></li>
	</ul>
</div>
<!-- com_autotweet_OUTPUT_START -->
