<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     http://https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

F0FModel::getTmpInstance('Plugins', 'AutoTweetModel');

$result = array();

if ($count = count($this->items))
{
	$channeltypes = F0FModel::getTmpInstance('Channeltypes', 'AutoTweetModel');

	foreach ($this->items as $item)
	{
		$message = $item->message;
		$message = TextUtil::truncString($message, AutotweetDefaultView::MAX_CHARS_TITLE_SCREEN, true);

		$url = $item->url;

		if (empty($url))
		{
			$url = $item->org_url;
		}

		$channel_type = SelectControlHelper::getChannelType($item->channel_id);

		$is_evergreen = false;
		$is_immediate = false;

		if (AUTOTWEETNG_JOOCIAL)
		{
			$item->xtform = EForm::paramsToRegistry($item);

			if ($req_id_src = $item->xtform->get('req_id_src'))
			{
				$evergreen_item = AdvancedattrsHelper::getEvergreen($req_id_src);

				if (isset($evergreen_item->id))
				{
					$is_evergreen = true;
					$evergreen_link = AdvancedattrsHelper::getEditLink($evergreen_item->client_id, $evergreen_item->option, $evergreen_item->ref_id, $evergreen_item->id);
				}
			}
			else
			{
				$is_evergreen = ($item->xtform->get('evergreen_generated'));
			}

			$is_immediate = ($item->xtform->get('is_immediate'));
		}

		$elem = array(
			'id' => $item->id,
			'pubstate' => $item->pubstate,
			'postdate' => JHtml::_('date', $item->postdate, JText::_('COM_AUTOTWEET_DATE_FORMAT')),
			'message' => $message,
			'message_raw' => $item->message,
			'url' => TextUtil::renderUrl($url),
			'org_url' => TextUtil::renderUrl($item->org_url),
			'image_url' => TextUtil::renderUrl($item->image_url),
			'channel_id' => $item->channel_id,
			'channel_name' => SelectControlHelper::getChannelName($item->channel_id),
			'channel_type' => $channel_type,
			'channel_icon' => $channeltypes->getRawIcon($channel_type),
			'resultmsg' => JText::_($item->resultmsg),
			'plugin' => AutoTweetModelPlugins::getSimpleName($item->plugin),
			'is_evergreen' => $is_evergreen,
			'is_immediate' => $is_immediate,
			'checked_out' => ($item->checked_out != 0)
		);

		$result[] = $elem;
	}
}

echo TextUtil::encodeJsonPackage($result);
