<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
<!-- com_autotweet_OUTPUT_START -->
<p style="text-align:center;">
	<span class="loaderspinner">&nbsp;</span>
</p>



<?php echo JText::_('COM_AUTOTWEET_CHANNEL_VK_DESC'); ?>

<div class="control-group">
	<label class="required control-label" for="application_id" id="application_id-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_VK_FIELD_APPLICATION_ID'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="text" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('application_id'); ?>" id="application_id" name="xtform[application_id]" class="required validate-token" required="required">
	</div>
</div>

<?php

	$jsonAccessToken = null;
	$accessToken = null;
	$userId = null;
	$expiresIn = null;

	$authUrl = '#';
	$authUrlButtonStyle = 'disabled';

	$validationGroupStyle = 'hide';

	// New channel, not even saved
	if ($this->item->id == 0)
	{
		$message = JText::_('COM_AUTOTWEET_CHANNEL_VK_NEWCHANNEL_NOAUTHORIZATION');
		include_once 'auth_button.php';

		return;
	}

	$vkChannelHelper = new VkChannelHelper($this->item);
	$isAuth = $vkChannelHelper->isAuth();

	if (!$isAuth)
	{
		// New channel, but saved
		$message = JText::_('COM_AUTOTWEET_CHANNEL_VK_NEWCHANNEL_AUTHORIZATION');
		$application_id = $this->item->xtform->get('application_id');

		if ((int) $application_id)
		{

			$thisUrl = 'https://oauth.vk.com/blank.html';
			$authUrl = $vkChannelHelper->getAuthorizationUrl($application_id);

			$authUrlButtonStyle = null;

			include_once 'auth_button.php';
			include_once 'validation_button.php';

			return;
		}
		else
		{
			$message = JText::_('COM_AUTOTWEET_CHANNEL_VK_NEWCHANNEL_NOAUTHORIZATION');
			include_once 'auth_button.php';

			return;
		}
	}

	// We have an access Token!
	$jsonAccessToken = $vkChannelHelper->getJsonAccessToken();
	$accessToken = $vkChannelHelper->getAccessToken();
	$userId = $vkChannelHelper->getUserId();
	$expiresIn = $vkChannelHelper->getExpiresIn();

	// $this->item->xtform->set('social_url', '#');

	$validationGroupStyle = null;

	include_once 'validation_button.php';
?>

<div class="alert">
	<button type="button" class="close" data-dismiss="alert">&times;</button>

	<ul class="unstyled">
		<li>
			<i class="xticon xticon-thumbs-up"></i>
			<a href="https://www.extly.com/docs/autotweetng_joocial/tutorials/#auto-posting-to-vk" target="_blank">
			Tutorial: Publishing to VK</a>
		</li>
		<li><i class="xticon xticon-thumbs-up"></i> <a
		href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-autotweet"
		target="_blank"> How to AutoTweet from Joomla in 5 <minutes></minutes></a></li>

	</ul>
</div>

<!-- com_autotweet_OUTPUT_START -->
