<?php

/**
 * @package     Extly.Modules
 * @subpackage  mod_autotweet_latest - AutoTweet NG Latest-Module
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

if (!defined('AUTOTWEET_API'))
{
	include_once JPATH_ADMINISTRATOR . '/components/com_autotweet/api/autotweetapi.php';
}

// Composer Prefixed Libraries
require_once JPATH_AUTOTWEET . '/autoload.php';

// To have the version helper available always
JLoader::load('VersionHelper');

$count = $params->get('count', 5);
$mode = $params->get('mode', 1);

$input = array(
		'savestate'	=> 0,
		'limit'		=> $count,
		'limitstart' => 0,
		'no_clear'	=> true,
		'only_once'	=> true,
		'task'		=> 'browse',
		'filter_order' => 'postdate',
		'filter_order_Dir' => 'DESC',
		'enabled'	=> 1,
		'caching'	=> false
);

switch ($mode)
{
	// Show latest successful Posts
	case 1:
		$input['pubstate'] = 'success';
		break;

	// Show latest error or pending Posts
	case 2:
		$input['pubstate'] = array('error', 'approve');
		break;

	// Show waiting (cronjob) Posts
	case 3:
	default:
		$input['pubstate'] = 'cronjob';
		break;
}

$config = array(
		'option'	=> 'com_autotweet',
		'view'		=> 'posts',
		'layout'	=> 'module',
		'input'		=> $input
);

F0FDispatcher::getTmpInstance('com_autotweet', 'posts', $config)->dispatch();
